Bug 115522 - GEM and Fireware not detected on powermac
Summary: GEM and Fireware not detected on powermac
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu   
(Show other bugs)
Version: rawhide
Hardware: powerpc Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-13 08:46 UTC by Alex Kiernan
Modified: 2014-03-17 02:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 22:38:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Hardcoded fix for problem (929 bytes, patch)
2004-02-13 08:47 UTC, Alex Kiernan
no flags Details | Diff

Description Alex Kiernan 2004-02-13 08:46:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.6)
Gecko/20040115 Epiphany/1.0.7

Description of problem:
Apple UniNorth GMAC card and FireWire don't return any pci header info
if the interface isn't already up 

Version-Release number of selected component (if applicable):
kudzu-1.1.44-1

How reproducible:
Always

Steps to Reproduce:
1. Run kudzu on pmac w/ gmac
2.
3.
    

Additional info:

Patch to follow

Comment 1 Alex Kiernan 2004-02-13 08:47:03 UTC
Created attachment 97639 [details]
Hardcoded fix for problem

This patch is directly extracted from the YDL patch

Comment 2 Alex Kiernan 2004-03-01 12:41:43 UTC
The move to newer /sys based pci utils means this fix no longer works;
pciutils needs fixing instead.

Comment 3 Bill Nottingham 2004-09-02 22:38:30 UTC
Fixed in pciutils-2.1.99.test8-3, kudzu-1.1.85-1.


Note You need to log in before you can comment on or make changes to this bug.